<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE office:document-content PUBLIC "-//OpenOffice.org//DTD OfficeDocument 1.0//EN" "office.dtd">
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:office="http://openoffice.org/2000/office" xmlns:style="http://openoffice.org/2000/style" xmlns:text="http://openoffice.org/2000/text" xmlns:table="http://openoffice.org/2000/table" xmlns:draw="http://openoffice.org/2000/drawing" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:number="http://openoffice.org/2000/datastyle" xmlns:svg="http://www.w3.org/2000/svg" xmlns:chart="http://openoffice.org/2000/chart" xmlns:dr3d="http://openoffice.org/2000/dr3d" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:form="http://openoffice.org/2000/form" xmlns:script="http://openoffice.org/2000/script" office:class="text" office:version="1.0">

<xsl:output method="xml" encoding="utf-8" omit-xml-declaration="yes"/>

 <xsl:template match="*">
  <xsl:element name="{name()}">
   <xsl:for-each select="@*">
    <xsl:attribute name="{name()}">
     <xsl:value-of select="."/>
    </xsl:attribute>
   </xsl:for-each>
   <xsl:apply-templates/>
  </xsl:element>
 </xsl:template>


 <xsl:template match="text:database-display">
  <xsl:variable name="column"><xsl:value-of select="@text:column-name"/></xsl:variable>
  <xsl:value-of select="document('file://param.xml')/root/param[@name=$column]"/>
 </xsl:template>

</xsl:stylesheet>
